> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Telemetry data from Prometheus



## OpenAPI

````yaml /openapi.json get /api/v1/tenant/telemetry
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/tenant/telemetry:
    get:
      tags:
        - Tenant Route
      summary: Telemetry data from Prometheus
      parameters:
        - name: end
          in: query
          schema:
            description: >-
              Ending timestamp of the time range for query evaluation. If the
              end isn’t set, then the end is automatically set to the current
              time
            type: string
            example: now
        - name: query
          in: query
          schema:
            description: MetricsQL expression query
            type: string
            example: sum(rate(haas_interceptor_messages_succeeded_total))
        - name: start
          in: query
          schema:
            description: Starting timestamp of the time range for query evaluation
            type: string
            example: '-1d'
        - name: step
          in: query
          schema:
            description: The interval between data points
            type: string
            example: 1h
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryRangeResponseDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    QueryRangeResponseDto:
      type: object
      properties:
        status:
          type: string
        isPartial:
          type: boolean
        data:
          $ref: '#/components/schemas/QueryRangeResponseDataDto'
        stats:
          $ref: '#/components/schemas/QueryRangeResponseStatsDto'
    QueryRangeResponseDataDto:
      type: object
      properties:
        resultType:
          type: string
        result:
          type: array
          items:
            $ref: '#/components/schemas/QueryRangeResponseResultDto'
    QueryRangeResponseStatsDto:
      type: object
      properties:
        seriesFetched:
          type: string
        executionTimeMsec:
          format: int64
          type: integer
    QueryRangeResponseResultDto:
      type: object
      properties:
        metric:
          type: object
          additionalProperties:
            type: string
        values:
          type: array
          items:
            type: array
            items: {}
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````